// MainFrm.cpp : implementation of the CMainFrame class
//

#include "stdafx.h"
#include "OpenLiveVideo.h"

#include "MainFrm.h"

#include "OpenLiveVideoDoc.h"
#include "OpenLiveVideoView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


/*******************************************************/
CToolBar   *mainToolBar   = NULL;
CStatusBar *mainStatusBar = NULL;
/*******************************************************/
IMPLEMENT_DYNCREATE(CMainFrame, CFrameWnd)	// CMainFrame
/*******************************************************/
BEGIN_MESSAGE_MAP(CMainFrame, CFrameWnd)
	ON_WM_CREATE()
	ON_WM_SIZING()
	ON_WM_SHOWWINDOW()
END_MESSAGE_MAP()
/*******************************************************/
static UINT indicators[] =
{
	ID_SEPARATOR,           // status line indicator
	ID_INDICATOR_CAPS,
	ID_INDICATOR_NUM,
	ID_INDICATOR_SCRL,
};
/*******************************************************/
CMainFrame::CMainFrame()	// CMainFrame construction/destruction
{

}
CMainFrame::~CMainFrame()
{

}
/*******************************************************/
int CMainFrame::OnCreate(LPCREATESTRUCT lpCreateStruct)
{
	DWORD dwStyle = WS_CHILD | WS_VISIBLE | CBRS_TOP | CBRS_GRIPPER | CBRS_TOOLTIPS | CBRS_FLYBY | CBRS_SIZE_DYNAMIC;

	if(CFrameWnd::OnCreate(lpCreateStruct) == -1)
		return -1;
	
	if(!m_wndToolBar.CreateEx(this, TBSTYLE_FLAT, dwStyle) || !m_wndToolBar.LoadToolBar(IDR_MAINFRAME))
	{
		TRACE0("Failed to create toolbar\n");
		return -1;      // fail to create
	}

	if(!m_wndStatusBar.Create(this) || !m_wndStatusBar.SetIndicators(indicators, sizeof(indicators)/sizeof(UINT)))
	{
		TRACE0("Failed to create status bar\n");
		return -1;      // fail to create
	}

	// TODO: Delete these three lines if you don't want the toolbar to be dockable
	m_wndToolBar.SetBarStyle(m_wndToolBar.GetBarStyle() | CBRS_TOOLTIPS | CBRS_FLYBY | CBRS_SIZE_DYNAMIC);
	m_wndToolBar.EnableDocking(CBRS_ALIGN_ANY);
	EnableDocking(CBRS_ALIGN_ANY);
	DockControlBar(&m_wndToolBar);

	mainToolBar   = &m_wndToolBar;
	mainStatusBar = &m_wndStatusBar;

	return 0;
}
BOOL CMainFrame::PreCreateWindow(CREATESTRUCT& cs)
{
	if(!CFrameWnd::PreCreateWindow(cs))
		return FALSE;

	return TRUE;
}
/************************************************************************/
#ifdef _DEBUG	// CMainFrame diagnostics
void CMainFrame::AssertValid() const { CFrameWnd::AssertValid(); }
void CMainFrame::Dump(CDumpContext& dc) const { CFrameWnd::Dump(dc); }
#endif //_DEBUG
/************************************************************************/
void CMainFrame::OnSizing(UINT fwSide, LPRECT pRect)
{
	pRect->right  = pRect->left + 640 + 40;
	pRect->bottom = pRect->top  + 480 + 140;

	CFrameWnd::OnSizing(fwSide, pRect);
}
void CMainFrame::OnShowWindow(BOOL bShow, UINT nStatus)
{
	CFrameWnd::OnShowWindow(bShow, nStatus);

	if(bShow)
	{
		CRect winRect;
		GetWindowRect(&winRect);
		MoveWindow(winRect.left, winRect.top, 640 + 40, 480 + 140);
	}
}